---
  - name: Deploy Prometheus Instance
    k8s:
      state: present
      definition: "{{ lookup('template', 'prometheus-objects.yaml.j2') }}"

  - name: Deploy Prometheus Pushgateway
    k8s:
      state: present
      definition: "{{ lookup('template', 'pushgateway-objects.yaml') }}"
    when: ENABLE_PUSHGATEWAY

  - name: Wait for the Prometheus deployment to complete
    k8s_facts:
      api_version: apps/v1beta1
      kind: StatefulSet
      name: prometheus
      namespace: "{{ meta.namespace }}"
    register: prometheus_dc
    until: "prometheus_dc.resources|length > 0 and 'readyReplicas' in prometheus_dc.resources[0].status and prometheus_dc.resources[0].status.readyReplicas == 1"
    retries: 15
    delay: 5
